Package ghidra.pcode.emu

# Enum Class PcodeMachine.AccessKind

java.lang.Object
java.lang.Enum<PcodeMachine.AccessKind>
ghidra.pcode.emu.PcodeMachine.AccessKind

All Implemented Interfaces:
  `Serializable`, `Comparable<PcodeMachine.AccessKind>`, `Constable`

Enclosing interface:
  `PcodeMachine<T>`

public static enum PcodeMachine.AccessKind extends Enum<PcodeMachine.AccessKind>
The kind of access breakpoint

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `R`
  A read access breakpoint
  `RW`
  A read/write access breakpoint
  `W`
  A write access breakpoint

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `trapsRead()`
  Check if this kind of breakpoint should trap a read, i.e., `PcodeOp.LOAD`
  `boolean`
  `trapsWrite()`
  Check if this kind of breakpoint should trap a write, i.e., `PcodeOp.STORE`
  `static PcodeMachine.AccessKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PcodeMachine.AccessKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### R

    public static final PcodeMachine.AccessKind R
    A read access breakpoint

  - ### W

    public static final PcodeMachine.AccessKind W
    A write access breakpoint

  - ### RW

    public static final PcodeMachine.AccessKind RW
    A read/write access breakpoint

- ## Method Details

  - ### values

    public static PcodeMachine.AccessKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PcodeMachine.AccessKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### trapsRead

    public boolean trapsRead()
    Check if this kind of breakpoint should trap a read, i.e., `PcodeOp.LOAD`
    Returns:
      true to interrupt

  - ### trapsWrite

    public boolean trapsWrite()
    Check if this kind of breakpoint should trap a write, i.e., `PcodeOp.STORE`
    Returns:
      true to interrupt